Name:           jnr-enxio
Version:        0.19
Release:        %mkrel 2
Summary:        Unix sockets for Java
Group:          Development/Java
# src/main/java/jnr/enxio/channels/PollSelectionKey.java is LGPLv3
# rest of the source code is ASL 2.0
License:        ASL 2.0 and LGPLv3
URL:            https://github.com/jnr/%{name}/
Source0:        https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz

# Avoid split-package situation, this patch submitted upstream here: https://github.com/jnr/jnr-enxio/pull/26
Patch0: 0001-Add-enxio-classes-from-jnr-unixsocket.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jnr-constants)
BuildRequires:  mvn(com.github.jnr:jnr-ffi)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
Unix sockets for Java.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1

find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete

# Unnecessary for RPM builds
%pom_remove_plugin ":maven-javadoc-plugin"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.19-2.mga8
+ Revision: 1521413
- Mageia 8 Mass Rebuild

* Sat Dec 22 2018 daviddavid <daviddavid> 0.19-1.mga7
+ Revision: 1344382
- Update to latest upstream release 0.19

* Mon Dec 03 2018 daviddavid <daviddavid> 0.16-5.mga7
+ Revision: 1337835
- new version: 0.16 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 0.12-2.mga7
+ Revision: 1262473
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 0.12-1.mga6
+ Revision: 1103351
- New version 0.12
- Second rebuild of the java stack

* Mon Feb 29 2016 neoclust <neoclust> 0.10-2.mga6
+ Revision: 980867
- First rebuild of the java stack
- sync package jnr-enxio with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 0.3-8.mga5
+ Revision: 811552
- fix jar directory during build

* Mon Jan 19 2015 daviddavid <daviddavid> 0.3-7.mga5
+ Revision: 811545
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 0.3-6.mga5
+ Revision: 743257
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 0.3-4.mga4
+ Revision: 560837
- imported package jnr-enxio


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-3
- Document the multiple licensing scenario.

* Fri Feb 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-2
- The license is in fact ASL 2.0 and LGPLv3.
- Properly use the dist tag.

* Wed Feb 06 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-1
- Initial package.
